---
title: Home
description: Docker Documentation is the official Docker library of resources, manuals, and guides to help you containerize applications.
keywords: Docker, documentation, manual, guide, reference, api, samples
grid:
  - title: Docker Desktop
    icon: computer
    description: |
      Manage containers, applications, and images directly from your machine.
    links:
      - text: "Overview"
        url: "/desktop/"
      - text: "Explore Docker Desktop"
        url: "/desktop/use-desktop/"
      - text: "Release notes"
        url: "/desktop/release-notes/"
  - title: Docker Engine
    icon: developer_board
    description: |
      The definitive open source container client and runtime.
    links:
      - text: "Overview"
        url: "/engine/"
      - text: "Install"
        url: "/engine/install/"
      - text: "Release notes"
        url: "/engine/release-notes/"
  - title: Docker Build
    icon: build
    description: |
      Package, test, and ship your applications.
    links:
      - text: "Overview"
        url: "/build/"
      - text: "Packaging your software"
        url: "/build/building/packaging/"
      - text: "Release notes"
        url: "/build/release-notes/"
  - title: Docker Build Cloud
    icon: cloud
    description: |
      Run your builds in the cloud.
    links:
      - text: "Overview"
        url: "/build-cloud/"
      - text: "Setup"
        url: "/build-cloud/setup/"
      - text: "Release notes"
        url: "/build-cloud/release-notes/"
  - title: Docker Compose
    icon: polyline
    description: |
      Define and run multi-container applications with Docker.
    links:
      - text: "Overview"
        url: "/compose/"
      - text: "Try Docker Compose"
        url: "/compose/gettingstarted/"
      - text: "Release notes"
        url: "/compose/releases/release-notes/"
  - title: Docker Hub
    icon: device_hub
    description: |
      Find and share container images and other artifacts.
    links:
      - text: "Overview"
        url: "/docker-hub/"
      - text: "Create an account"
        url: "/accounts/create-account/"
      - text: "Create a repository"
        url: "/docker-hub/repos/create/"
  - title: Docker Scout
    icon: query_stats
    description: |
      Strengthen your software supply chain with Docker Scout.
    links:
      - text: "Overview"
        url: "/scout/"
      - text: "Quickstart"
        url: "/scout/quickstart/"
      - text: "Image analysis"
        url: "/scout/image-analysis/"
  - title: Subscription
    icon: card_membership
    description: |
      Licensing for commercial use of Docker components.
    links:
      - text: "Overview"
        url: "/subscription/"
      - text: "Subscriptions and features"
        url: "/subscription/details/"
      - text: "Change subscription"
        url: "/subscription/change/"
  - title: Billing
    icon: payments
    description: |
      Manage your billing and payment settings for your subscription.
    links:
      - text: "Overview"
        url: "/billing/"
      - text: "Update payment method"
        url: "/billing/payment-method/"
      - text: "View billing history"
        url: "/billing/history/"
  - title: Administration
    icon: admin_panel_settings
    description: |
      Manage company and organization users, permissions, and more.
    links:
      - text: "Overview"
        url: "/admin/company/"
      - text: "Organization administration"
        url: "/admin/organization/"
      - text: "Company administration"
        url: "/admin/company/"
  - title: Security
    icon: shield
    description: |
      Security guardrails for both administrators and developers.
    links:
      - text: "Overview"
        url: "/security/"
      - text: "SSO"
        url: "/security/for-admins/single-sign-on/"
      - text: "SCIM"
        url: "/security/for-admins/provisioning/scim/"
  - title: Testcontainers Cloud
    icon: cloud
    description: |
      Testcontainers Cloud lets you run heavy test workloads remotely.
    links:
      - text: "Overview"
        url: "https://testcontainers.com/cloud/docs/"
      - text: "Getting started"
        url: "https://testcontainers.com/cloud/docs/#getting-started"
      - text: "TCC for CI"
        url: "https://testcontainers.com/cloud/docs/#tcc-for-ci"
---
