---
title: Writing checklist
description: A helpful writing checklist when creating documentation
keywords: checklist, documentation, style guide, contribute
weight: 60
---

Use this checklist to communicate in a way that is clear, helpful, and consistent with the rest of Docker Docs.

##### Used active voice

Active voice is specific and removes ambiguity.

In active voice, the subject of the sentence (the customer or the system) does the action.

Sentences that use active voice are easier to read. Active voice makes it clear who has done what and to whom. Plus, active voice keeps sentences direct and more concise.

Helping verbs such as is, was, or would may indicate that you're writing in passive voice. And, if you can add the phrase 'by zombies' after the verb, you're writing in the passive voice.

|Correct| Incorrect|
|:--|:--|
|Increase productivity with Docker Desktop.| Productivity can be increased (by zombies) with Docker Desktop.|
|If you remove items from a grid, charts automatically refresh to display the change. | If items are removed (by zombies) from a grid, charts automatically refresh to display the change.|

##### Written clear sentences that get to the point

Write short, concise sentences. Punchy sentences are faster to read and easier to understand.

##### Used subheadings and bulleted lists to break up the page

This helps find the information they need quickly and easily.

For more information, see the [formatting](style/formatting.md#headings-and-subheadings) page, or see the [components](components/lists.md) for examples.

##### Started the title of your page with a verb

For example, 'Install Docker Desktop'.

##### Checked that the left-hand table of contents title in docs.docker.com, matches the title displayed on the page

##### Checked for broken links and images

Use relative links to link to other pages or images within the GitHub repository.

For more information, see the [formatting](style/formatting.md#links) page, or see the [components](components/links.md) for examples.

##### Checked that any redirects you may have added, work

For information on how to add redirects, see [Source file conventions](file-conventions.md#front-matter).

##### Used bold on any UI elements you refer to in your content

##### Completed a final spelling, punctuation, and grammar check

For more in-depth information on our Style Guide, explore the [grammar](style/grammar.md) or [formatting](style/formatting.md) guides.
