---
title: Introduction
keywords: get started, getting started, how to get started
weight: 30
description: |
  Get started with Docker. You'll learn about Docker Desktop, developing with
  Docker, as well as how to build and push your first image.
summary: |
  Embark on a comprehensive learning path to understand Docker and
  containerization, beginning with foundational concepts and installation
  procedures. Progress through hands-on exercises that cover essential Docker
  commands, image creation, and container orchestration.
layout: series
params:
  skill: Beginner
  time: 15 minutes
  prereq: None
aliases:
  - /guides/getting-started/
---

## About this series

In this guide series, you will gain hands-on experience with Docker, starting
with installing and setting up Docker Desktop on your local machine. You will
learn how to run your first container, understanding the basics of
containerization and its benefits. This series guides you through building your
first Docker image, providing insights into creating efficient and reusable
images. Finally, you will explore how to publish your image on Docker Hub,
enabling you to share your work with the broader community and leverage
Docker's powerful ecosystem for collaborative development and deployment.

## What you'll learn

- Set up Docker Desktop
- Run your first container
- Build your first image
- Publish your image on Docker Hub
