---
title: Mastering user and access management
summary: Simplify user access while ensuring security and efficiency in Docker.
description: A guide for managing roles, provisioning users, and optimizing Docker access with tools like SSO and activity logs.
tags: [admin]
params:
  featured: true
  time: 20 minutes
  image: 
  resource_links:
    - title: Overview of Administration in Docker
      url: /admin/
    - title: Single sign-on
      url: /security/for-admins/single-sign-on/
    - title: Onboard your organization
      url: /admin/organization/onboard/
    - title: Roles and permissions
      url: /security/for-admins/roles-and-permissions/
    - title: Insights
      url: /admin/organization/insights/
    - title: Activity logs
      url: /admin/organization/activity-logs/
---

Managing roles and permissions is key to securing your Docker environment while enabling easy collaboration and operational efficiency. This guide walks IT administrators through the essentials of user and access management, offering strategies for assigning roles, provisioning users, and using tools like Activity logs and Insights to monitor and optimize Docker usage.

## Who's this for?

- IT teams: Tasked with configuring and maintaining secure user access.
- Security professionals: Focused on enforcing secure access practices.
- Project managers: Overseeing team collaboration and resource management.

## What you'll learn

- How to assess and manage Docker user access and align accounts with organizational needs.
- When to use team configurations for scalable access control.
- How to automate and streamline user provisioning with SSO, SCIM, and JIT.
- How to get the most out of Docker's monitoring tools.

## Tools integration 

Okta, Entra ID SAML 2.0, Azure Connect (OIDC)
