---
title: Monitoring and insights
description: Track user actions, team workflows, and organizational trends with Activity logs and Insights to enhance security and productivity in Docker.
keywords: organizational insights, user management, access control, security, monitoring, admins
weight: 30
---

Activity logs and Insights are useful tools for user and access management in Docker. They provide visibility into user actions, team workflows, and organizational trends, helping enhance security, ensure compliance, and boost productivity.

## Activity logs

Activity logs track events at the organization and repository levels, offering a clear view of activities like repository changes, team updates, and billing adjustments.

It is available for Docker Team or Docker Business plans, with data retained for three months.

### Key features

 - Change tracking: View what changed, who made the change, and when.

 - Comprehensive reporting: Monitor critical events such as repository creation, deletion, privacy changes, and role assignments.

### Example scenarios

 - Audit trail for security: A repository’s privacy settings were updated unexpectedly. The activity logs reveal which user made the change and when, helping administrators address potential security risks.

 - Team collaboration review: Logs show which team members pushed updates to a critical repository, ensuring accountability during a development sprint.

 - Billing adjustments: Track who added or removed subscription seats to maintain budgetary control and compliance.

For more information, see [Activity logs](/manuals/admin/organization/activity-logs.md).

## Insights

Insights provide data-driven views of Docker usage to improve team productivity and resource allocation.

### Key benefits

 - Standardized environments: Ensure consistent configurations and enforce best practices across teams.

 - Improved visibility: Monitor metrics like Docker Desktop usage, builds, and container activity to understand team workflows and engagement.

 - Optimized resources: Track license usage and feature adoption to maximize the value of your Docker subscription.

### Example scenarios

 - Usage trends: Identify underutilized licenses or resources, allowing reallocation to more active teams.

 - Build efficiency: Track average build times and success rates to pinpoint bottlenecks in development processes.

 - Container utilization: Analyze container activity across departments to ensure proper resource distribution and cost efficiency.

 For more information, see [Insights](/manuals/admin/organization/insights.md).
