---
title: .NET language-specific guide
linkTitle: C# (.NET)
description: Containerize and develop .NET apps using Docker
summary: |
  Learn how to containerize .NET applications using Docker.
keywords: getting started, .net
aliases:
  - /language/dotnet/
  - /guides/language/dotnet/
languages: [c-sharp]
params:
  time: 20 minutes
  toc_min: 1
  toc_max: 2
---

The .NET getting started guide teaches you how to create a containerized .NET application using Docker. In this guide, you'll learn how to:

- Containerize and run a .NET application
- Set up a local environment to develop a .NET application using containers
- Run tests for a .NET application using containers
- Configure a CI/CD pipeline for a containerized .NET application using GitHub Actions
- Deploy your containerized application locally to Kubernetes to test and debug your deployment

After completing the .NET getting started modules, you should be able to containerize your own .NET application based on the examples and instructions provided in this guide.

Start by containerizing an existing .NET application.
