---
title: Java language-specific guide
linkTitle: Java
keywords: java, getting started
description: Containerize Java apps using Docker
summary: |
  This guide demonstrates how to containerize Java applications using Docker.
toc_min: 1
toc_max: 2
aliases:
  - /language/java/
  - /guides/language/java/
languages: [java]
params:
  time: 20 minutes
---

The Java getting started guide teaches you how to create a containerized Spring Boot application using Docker. In this module, you’ll learn how to:

- Containerize and run a Spring Boot application with Maven
- Set up a local development environment to connect a database to the container, configure a debugger, and use Compose Watch for live reload
- Run your unit tests inside a container
- Configure a CI/CD pipeline for your application using GitHub Actions
- Deploy your containerized application locally to Kubernetes to test and debug your deployment

After completing the Java getting started modules, you should be able to containerize your own Java application based on the examples and instructions provided in this guide.

Get started containerizing your first Java app.
