---
title: PHP language-specific guide
linkTitle: PHP
description: Containerize and develop PHP apps using Docker
keywords: getting started, php, composer
summary: |
  This guide explains how to containerize PHP applications using Docker.
toc_min: 1
toc_max: 2
aliases:
  - /language/php/
  - /guides/language/php/
languages: [php]
params:
  time: 20 minutes
---

The PHP language-specific guide teaches you how to create a containerized PHP application using Docker. In this guide, you'll learn how to:

- Containerize and run a PHP application
- Set up a local environment to develop a PHP application using containers
- Run tests for a PHP application within containers
- Configure a CI/CD pipeline for a containerized PHP application using GitHub Actions
- Deploy your containerized application locally to Kubernetes to test and debug your deployment

After completing the PHP language-specific guide, you should be able to containerize your own PHP application based on the examples and instructions provided in this guide.

Start by containerizing an existing PHP application.
