---
title: Python language-specific guide
linkTitle: Python
description: Containerize Python apps using Docker
keywords: Docker, getting started, Python, language
summary: |
  This guide explains how to containerize Python applications using Docker.
toc_min: 1
toc_max: 2
aliases:
  - /language/python/
  - /guides/language/python/
languages: [python]
params:
  time: 20 minutes
---

The Python language-specific guide teaches you how to containerize a Python application using Docker. In this guide, you’ll learn how to:

- Containerize and run a Python application
- Set up a local environment to develop a Python application using containers
- Configure a CI/CD pipeline for a containerized Python application using GitHub Actions
- Deploy your containerized Python application locally to Kubernetes to test and debug your deployment

Start by containerizing an existing Python application.
