---
title: R language-specific guide
linkTitle: R
description: Containerize R apps using Docker
keywords: Docker, getting started, R, language
summary: |
  This guide details how to containerize R applications using Docker.
toc_min: 1
toc_max: 2
aliases:
  - /languages/r/
  - /guides/languages/r/
languages: [r]
params:
  time: 10 minutes
---

The R language-specific guide teaches you how to containerize a R application using Docker. In this guide, you’ll learn how to:

- Containerize and run a R application
- Set up a local environment to develop a R application using containers
- Configure a CI/CD pipeline for a containerized R application using GitHub Actions
- Deploy your containerized R application locally to Kubernetes to test and debug your deployment

Start by containerizing an existing R application.
