---
title: Docker accounts
description: Learn how to create and manage your Docker account.
keywords: accounts, docker ID, account management, account settings, docker account, docker home
weight: 30
params:
  sidebar:
    group: Platform
grid:
- title: Create a Docker ID
  description: Get started with Docker and create an account.
  icon: fingerprint
  link: /accounts/create-account/
- title: Manage account
  description: Learn how to manage the settings for your account.
  icon: manage_accounts
  link: /accounts/manage-account/
- title: Account FAQ
  description: Explore popular FAQ topics about organizations.
  icon: help
  link: /faq/admin/general-faqs/
- title: Personal access tokens
  description: Learn how to create and manage access tokens for your account.
  icon: password
  link: /security/for-developers/access-tokens/
- title: Set up two-factor authentication
  description: Add an extra layer of authentication to your Docker account.
  link: /security/for-developers/2fa/
  icon: phonelink_lock
- title: Deactivate an account
  description: Learn how to deactivate a Docker user account.
  link: /accounts/deactivate-user-account/
  icon: disabled_by_default
---

You can create a Docker account to secure a Docker ID, which is a username for your account that lets you access Docker products. You can use your Docker account to sign in to Docker products like Docker Hub, Docker Desktop, or Docker Scout. You can centrally manage your [Docker account settings](https://app.docker.com/settings), as well as account security features, in [Docker Home](https://app.docker.com).

In this section, explore how you can create, manage, or update your account.

{{< grid >}}
