---
title: Company administration
weight: 20
description: Learn how to manage multiple organizations using companies, including managing users, owners, and security.
keywords: company, multiple organizations, manage companies
grid:
- title: Create a company
  description: Get started by learning how to create a company.
  icon: apartment
  link: /admin/company/new-company/
- title: Manage organizations
  description: Learn how to add and manage organizations as well as seats within your
    company.
  icon: store
  link: /admin/company/organizations/
- title: Manage users
  description: Explore how to manage users in all organizations.
  icon: group_add
  link: /admin/company/users/
- title: Manage company owners
  description: Find out more about company owners and how to manage them.
  icon: supervised_user_circle
  link: /admin/company/owners/
- title: Configure Single Sign-On
  description: Discover how to configure SSO for your entire company.
  icon: key
  link: /security/for-admins/single-sign-on/
- title: Set up SCIM
  description: Set up SCIM to automatically provision and deprovision users in your
    company.
  icon: checklist
  link: /security/for-admins/provisioning/scim/
- title: Domain management
  description: Add and verify your domains.
  icon: domain_verification
  link: /admin/company/settings/domains/
- title: FAQs
  description: Explore common company FAQs.
  link: /faq/admin/company-faqs/
  icon: help
aliases:
- /docker-hub/creating-companies/
---

{{< summary-bar feature_name="Company" >}}

{{% include "admin-company-overview.md" %}}

Learn how to administer a company in the following sections.

{{< grid >}}
