---
title: Organization administration overview
linkTitle: Organization administration
weight: 10
description: Learn about managing organizations in Docker including how they relate to teams, how to onboard, and more
keywords: organizations, admin, overview
grid:
- title: Onboard your organization
  description: Learn how to onboard and secure your organization.
  icon: explore
  link: /admin/organization/onboard
- title: Manage members
  description: Explore how to manage members.
  icon: group_add
  link: /admin/organization/members/
- title: Activity logs
  description: Learn how to audit the activities of your members.
  icon: text_snippet
  link: /admin/organization/activity-logs/
- title: Image Access Management
  description: Control which types of images your developers can pull.
  icon: photo_library
  link: /admin/organization/image-access/
- title: Registry Access Management
  description: Define which registries your developers can access.
  icon: home_storage
  link: /admin/organization/registry-access/
- title: Organization settings
  description: Configure information for your organization and manage settings.
  icon: settings
  link: /admin/organization/general-settings/
- title: SSO and SCIM
  description: 'Set up [Single Sign-On](/security/for-admins/single-sign-on/)
    and [SCIM](/security/for-admins/provisioning/scim/) for your organization.

    '
  icon: key
- title: Domain management
  description: Add, verify, and audit your domains.
  link: /admin/organization/security-settings/domains/
  icon: domain_verification
- title: FAQs
  description: Explore common organization FAQs.
  link: /faq/admin/organization-faqs/
  icon: help
---

{{% include "admin-org-overview.md" %}}

To create an organization, see [Create your organization](../organization/orgs.md).

Learn how to administer an organization in the following sections.

{{< grid >}}
