---
title: Organization settings
weight: 60
description: Learn how to manage settings for organizations using Docker Admin Console.
keywords: organization, settings, Admin Console
---

This section describes how to manage organization settings in the Docker Admin Console.

## Configure general information

General organization information appears on your organization landing page in the Admin Console.

This information includes:
 - Organization Name
 - Company
 - Location
 - Website
 - Gravatar email: To add an avatar to your Docker account, create a [Gravatar account](https://gravatar.com/) and create your avatar. Next, add your Gravatar email to your Docker account settings. It may take some time for your avatar to update in Docker.

To edit this information:

1. Sign in to the [Admin Console](https://admin.docker.com).
2. Select your company on the **Choose profile** page.
3. Under **Organization settings**, select **General**.
4. Specify the organization information and select **Save**.

## Next steps

In the **Organization settings** menu, you can also [configure SSO](../../security/for-admins/single-sign-on/configure/) and [set up SCIM](../../security/for-admins/provisioning/scim.md). If your organization isn't part of a company, from here you can also [audit your domains](../../security/for-admins/domain-audit.md) or [create a company](new-company.md).
