---
title: Docker MCP Catalog and Toolkit
linkTitle: MCP Catalog and Toolkit
params:
  sidebar:
    group: AI
    badge:
      color: green
      text: New
weight: 30
description: Learn about Docker's MCP catalog on Docker Hub and how to use it with the MCP Toolkit extension
keywords: Docker, ai, mcp servers, ai agents, extension, docker desktop, llm, docker hub
grid:
 - title: MCP Catalog
   description: Learn about the benefits of the MCP Catalog, how you can use it, and how you can contribute
   icon: hub
   link: /ai/mcp-catalog-and-toolkit/catalog/
 - title: MCP Toolkit
   description: Learn about how to use the MCP Toolkit extension on Docker Desktop
   icon: manufacturing
   link: /ai/mcp-catalog-and-toolkit/toolkit/
---

The Model Context Protocol (MCP) is a modern standard that transforms AI agents from passive responders into action-oriented systems. By standardizing how tools are described, discovered, and invoked, MCP enables agents to securely query APIs, access data, and execute services across diverse environments.

As agents move into production, MCP solves common integration challenges — interoperability, reliability, and security — by providing a consistent, decoupled, and scalable interface between agents and tools. Just as containers redefined software deployment, MCP is reshaping how AI systems interact with the world.

## What is Docker MCP Catalog and Toolkit?

Docker MCP Catalog and Toolkit is a comprehensive solution for securely building, sharing, and running MCP tools. It simplifies the developer experience across four key areas:

- Discovery: A central catalog with verified, versioned tools
- Credential Management: OAuth-based and secure by default
- Execution: Tools run in isolated, containerized environments
- Portability: Use MCP tools across Claude, Cursor, VS Code, and more — no code changes needed

With Docker Hub and the Docker Desktop extension, you can:

- Launch MCP servers in seconds
- Add tools via CLI or GUI
- Rely on Docker’s pull-based infrastructure for trusted delivery

{{< grid >}}
