---
description: Find a way to provide feedback that's right for you
keywords: Feedback, Docker Desktop, Linux, Mac, Windows, Dev Environments, Extensions,
  Community forum, bugs, problems, issues
title: Give feedback
weight: 40
aliases:
 - /desktop/feedback/
---

There are many ways you can provide feedback on Docker Desktop or Docker Desktop features.

### In-product feedback

On each Docker Desktop Dashboard view, there is a **Give feedback** link. This opens a feedback form where you can share ideas directly with the Docker team.

You can also use the `docker feedback` command to submit feedback directly from the command line.

<script async id="asciicast-KkC0fFrhV8nAzvXUGqay06UXx" src="https://asciinema.org/a/KkC0fFrhV8nAzvXUGqay06UXx.js"></script>

### Feedback via Docker Community forums

To get help from the community, review current user topics, join or start a
discussion, sign in to the appropriate Docker forums:

- [Docker Desktop for Mac forum](https://forums.docker.com/c/docker-for-mac)
- [Docker Desktop for Windows forum](https://forums.docker.com/c/docker-for-windows)
- [Docker Desktop for Linux forum](https://forums.docker.com/c/docker-desktop-for-linux/60)

### Report bugs or problems on GitHub

To report bugs or problems, visit:
- [Docker Desktop for Mac issues on
GitHub](https://github.com/docker/for-mac/issues)
- [Docker Desktop for Windows issues on GitHub](https://github.com/docker/for-win/issues)
- [Docker Desktop for Linux issues on
GitHub](https://github.com/docker/desktop-linux/issues)
- [Dev Environments issues on GitHub](https://github.com/docker/dev-environments/issues)
- [Docker Extensions issues on GitHub](https://github.com/docker/extensions-sdk/issues)

### Feedback via Community Slack channels

You can also provide feedback through the following [Docker Community Slack](https://dockr.ly/comm-slack) channels:

- #docker-desktop-mac
- #docker-desktop-windows
- #docker-desktop-linux
- #docker-dev-environments
- #extensions
