---
description: Learn about Docker Hub's library of images, extensions, and plugins.
keywords: Docker Hub, Hub, content library
title: Content library
linkTitle: Library
weight: 20
---

Docker Hub's content library is the world's largest collection of
container images, extensions, and plugins. It provides a central location to
discover pre-built images and tools designed to streamline your container
workflows, making it easier to share and collaborate.

In this section, learn about:

- [Search](./search.md): Discover how to browse and search Docker Hub's extensive resources.
- [Trusted content](./trusted-content.md): Dive into Docker Official Images,
  Verified Publisher content, and Sponsored Open Source images, all vetted for
  security and reliability to streamline your workflows.
- [Catalogs](./catalogs.md): Explore specialized collections like the generative AI catalog.
- [Mirroring](./mirror.md): Learn how to create a mirror of Docker Hub's
  container image library as a pull-through cache.