---
description: Learn how to scale your Docker subscription
keywords: subscription, Pro, Team, business, pricing plan, build minutes, test container minutes, pull limit
title: Scale your subscription
weight: 17
---

> [!NOTE]
>
> Owners of legacy Docker subscription plans must upgrade their subscription to a new
> Docker subscription plan in order to scale their subscription.
>
> Legacy Docker plans apply to Docker subscribers who last purchased or renewed
> their subscription before December 10, 2024. These subscribers will keep
> their current plan and pricing until their next renewal date that falls on or
> after December 10, 2024. To see purchase or renewal history, view your
> [billing history](../billing/history.md). For more details about legacy
> after December 10, 2024. For more details about legacy
> subscriptions, see [Announcing Upgraded Docker
> Plans](https://www.docker.com/blog/november-2024-updated-plans-announcement/).

Docker subscriptions let you scale your consumption as your needs evolve. Except
for legacy Docker subscription plans, all paid Docker subscriptions come with
access to Docker Hub, Docker Build Cloud, and Testcontainers Cloud with a base
amount of consumption. See [Docker subscriptions and features](./details.md) to
learn how much base consumption comes with each subscription. You can scale your
consumption at any time during your subscription period.

You can scale consumption for the following:

- Docker Build Cloud build minutes
- Docker Testcontainers Cloud runtime minutes

To better understand your needs, you can view your consumption at any time. For
more details, see [View Docker product
usage](../admin/organization/manage-products.md#view-docker-product-usage).

> [!WARNING]
>
> The number of Docker Build Cloud and Testcontainers minutes included in your
subscription do not rollover. Additional minutes expire at the end of your
subscription period (monthly or annually). For example, if you have an annual
Docker Team subscription with 500 included minutes, and purchase 500 additional
minutes, only the 500 additional minutes rollover until the end of your annual
subscription period.

## Add Docker Build Cloud build minutes

You can pre-purchase Docker Build Cloud build minutes in the Docker Build Cloud Dashboard:

1. Sign in to [Docker Home](https://app.docker.com/).
2. Under Settings and administration, select **Billing**.
3. On the plans and usage page, select **View build minutes**.
    This will launch the Docker Build Cloud settings page.
4. Select **Add minutes**.
5. Select your additional minute amount, then **Continue to payment**.
6. Enter your payment details and billing address.
7. Review your order and select **Pay**.

Your additional minutes will now display on the Build minutes page.

## Add Docker Testcontainers Cloud runtime minutes

You can pre-purchase Testcontainers Cloud runtime minutes by [contacting
 sales](https://www.docker.com/pricing/contact-sales/). In addition to
pre-purchase, you are able to use as many minutes as you need on-demand. The
usage will be billed at the end of each monthly billing cycle. On-demand usage
is billed at a higher rate than pre-purchased capacity. To avoid on-demand
charges, pre-purchase additional minutes.